<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>MyHomeWork3</title>
    <link rel="shortcut icon" href="#">
</head>
<body>

    <script>

//    let n = +prompt("Enter the number");
//
//        while (isNaN(n)){
//
//               n = +prompt ("Please, enter a number!")
//
//        }
//
//        function factorial (n) {
//            return (n != 1) ? n * factorial(n - 1) : 1;
//        }
//
//        alert(factorial(n));

        let x = prompt(" Введите число ");

        let factorial = 1;
            function toFactorial() {
        for (let i = 1; i <= x; i++) {
            factorial = factorial * i;
        }
        return factorial;
        }

        toFactorial(x);
        alert( factorial );


    </script>

</body>
</html>
